# Add configuration for the editor for any configuration
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    # the CSS file to be used inside the editor
    contentsCss: [ "EXT:rte_ckeditor/Resources/Public/Css/contents.css", "EXT:drk_template/Resources/Public/Css/rte.css" ]
    # will be overridden by the record (if a language is set)
    defaultContentLanguage: "de"
    defaultLanguage: "de"
    # Allow any class or any data attribute in any tag
    extraAllowedContent: "*(*)[data-*][style]"
    height: 300
    width: "auto"
    toolbar: "Basic"
    uiColor: "#F8F8F8"
    removeDialogTabs: "image:advanced;link:advanced"
    # Ensure that special characters are not converted to HTML entities
    entities_latin: false
    entities: false
    stylesSet: [ ]

    # Configure global wordcount plugin defaults
    # Overwrite them in your RTE presets as it is necessary
    wordcount:
      showParagraphs: true
      showWordCount: true
      showCharCount: true
      countSpacesAsChars: true
      countHTML: false
      countLineBreaks: false
      maxWordCount: -1
      maxCharCount: -1
      pasteWarningDuration: 5000
